Documentation · API reference
GET/api/v1/sites/{site}/goals

A site's goals

A site's goals, with their definitions.

Parameters

sitein the address
neededA site's id or name

The answer

Status 200

A list of GoalView

created_at
stringneeded
id
stringneeded
name
stringneeded
paused
booleanneeded
site_id
stringneeded
spec
objectneeded
summary
stringneeded`event install-copy`, `page /thanks*`.
version
integerneededThe version in force. Each conversion records the one it was counted under (EV-06).

Asking

With your token from Settings
curl https://tidekeeper.eu/api/v1/sites/example.org/goals \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/goals", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());